/****************************************************************************
** Form implementation generated from reading ui file 'formsettings.ui'
**
** Created: Wed Dec 20 19:07:20 2023
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "formsettings.h"

#include <qbuttongroup.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlistview.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a FormSettingsBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
FormSettingsBase::FormSettingsBase( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "FormSettingsBase" );
    resize( 623, 457 ); 
    setCaption( tr( "Form Settings" ) );
    setSizeGripEnabled( TRUE );
    QWhatsThis::add(  this, tr( "<b>Form Settings</b><p>Change settings for the form. Settings like <b>Comment</b> and <b>Author</b> are for personal use and not required.</p>" ) );
    FormSettingsBaseLayout = new QGridLayout( this ); 
    FormSettingsBaseLayout->setSpacing( 6 );
    FormSettingsBaseLayout->setMargin( 11 );

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setTitle( tr( "&Settings" ) );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 0 );
    GroupBox1->layout()->setMargin( 0 );
    GroupBox1Layout = new QGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );
    GroupBox1Layout->setSpacing( 6 );
    GroupBox1Layout->setMargin( 11 );

    editClassName = new QLineEdit( GroupBox1, "editClassName" );
    QToolTip::add(  editClassName, tr( "Change class name" ) );
    QWhatsThis::add(  editClassName, tr( "<b>Enter the name of the class that will be created.</b><p><em>classname.h</em> and <em>classname.cpp</em> will be generated as C++-output when it is compiled with the uic.</p>" ) );

    GroupBox1Layout->addWidget( editClassName, 0, 1 );

    TextLabel1_2 = new QLabel( GroupBox1, "TextLabel1_2" );
    TextLabel1_2->setText( tr( "A&uthor:" ) );

    GroupBox1Layout->addWidget( TextLabel1_2, 3, 0 );

    editAuthor = new QLineEdit( GroupBox1, "editAuthor" );
    QToolTip::add(  editAuthor, tr( "Enter your name" ) );
    QWhatsThis::add(  editAuthor, tr( "Enter your name here." ) );

    GroupBox1Layout->addWidget( editAuthor, 3, 1 );

    TextLabel1 = new QLabel( GroupBox1, "TextLabel1" );
    TextLabel1->setText( tr( "Class &Name:" ) );

    GroupBox1Layout->addWidget( TextLabel1, 0, 0 );

    TextLabel2 = new QLabel( GroupBox1, "TextLabel2" );
    TextLabel2->setText( tr( "Co&mment:" ) );

    GroupBox1Layout->addWidget( TextLabel2, 1, 0 );

    editComment = new QMultiLineEdit( GroupBox1, "editComment" );
    QWhatsThis::add(  editComment, tr( "Enter a comment about the form." ) );

    GroupBox1Layout->addMultiCellWidget( editComment, 1, 2, 1, 1 );
    QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GroupBox1Layout->addItem( spacer, 2, 0 );

    FormSettingsBaseLayout->addWidget( GroupBox1, 0, 0 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setTitle( tr( "&Pixmaps" ) );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 0 );
    ButtonGroup1->layout()->setMargin( 0 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );
    ButtonGroup1Layout->setSpacing( 6 );
    ButtonGroup1Layout->setMargin( 11 );

    radioPixmapInline = new QRadioButton( ButtonGroup1, "radioPixmapInline" );
    radioPixmapInline->setText( tr( "Save In&line" ) );
    radioPixmapInline->setChecked( TRUE );
    QToolTip::add(  radioPixmapInline, tr( "Save pixmaps into the .ui files" ) );
    QWhatsThis::add(  radioPixmapInline, tr( "<b>Save Inline</b><p>Saves the pixmaps you choose as binary data into the .ui files. <em>This is the suggested option!</em>" ) );

    ButtonGroup1Layout->addWidget( radioPixmapInline, 0, 0 );

    radioPixmapFunction = new QRadioButton( ButtonGroup1, "radioPixmapFunction" );
    radioPixmapFunction->setText( tr( "Use &Function" ) );
    QToolTip::add(  radioPixmapFunction, tr( "Use a defined function to load pixmaps" ) );
    QWhatsThis::add(  radioPixmapFunction, tr( "<b>Use a defined function to open pixmaps</b><p>If you choose this option you have to define a function in the lineedit at the right which will be used in the generated code for loading pixmaps. When choosing a pixmap in the Qt Designer you will be asked then to specify the arguments which will be passed to that function in the generated code.<p> This way makes it possible to use an own icon-loader function for loading pixmaps, but of course the preview in the Qt Designer can't show the correct image." ) );

    ButtonGroup1Layout->addWidget( radioPixmapFunction, 1, 0 );

    editPixmapFunction = new QLineEdit( ButtonGroup1, "editPixmapFunction" );
    editPixmapFunction->setEnabled( FALSE );
    QToolTip::add(  editPixmapFunction, tr( "Specify Pixmap-Loader function (only function-name, no parentheses!)" ) );
    QWhatsThis::add(  editPixmapFunction, tr( "<b>Specify Pixmap-Loader function</b><p>Specify the function which should be used for loading a pixmap in the generated code. <em>Only enter the function-name, no parentheses!</em>" ) );

    ButtonGroup1Layout->addWidget( editPixmapFunction, 1, 1 );

    FormSettingsBaseLayout->addWidget( ButtonGroup1, 1, 0 );

    GroupBox2 = new QGroupBox( this, "GroupBox2" );
    GroupBox2->setTitle( tr( "&Includes" ) );
    GroupBox2->setFrameShadow( QGroupBox::Sunken );
    GroupBox2->setFrameShape( QGroupBox::Box );
    GroupBox2->setColumnLayout(0, Qt::Vertical );
    GroupBox2->layout()->setSpacing( 0 );
    GroupBox2->layout()->setMargin( 0 );
    GroupBox2Layout = new QGridLayout( GroupBox2->layout() );
    GroupBox2Layout->setAlignment( Qt::AlignTop );
    GroupBox2Layout->setSpacing( 6 );
    GroupBox2Layout->setMargin( 11 );

    listIncludes = new QListView( GroupBox2, "listIncludes" );
    listIncludes->addColumn( tr( "Include-File" ) );
    listIncludes->addColumn( tr( "Access" ) );
    listIncludes->setAllColumnsShowFocus( TRUE );
    listIncludes->setShowSortIndicator( TRUE );
    QWhatsThis::add(  listIncludes, tr( "List of all files that will be included in the <em>classname.cpp</em>-file." ) );

    GroupBox2Layout->addMultiCellWidget( listIncludes, 0, 0, 0, 2 );

    comboLocation = new QComboBox( FALSE, GroupBox2, "comboLocation" );
    comboLocation->insertItem( tr( "global" ) );
    comboLocation->insertItem( tr( "local" ) );
    QToolTip::add(  comboLocation, tr( "Select access mode" ) );
    QWhatsThis::add(  comboLocation, tr( "<b>Change how the include file will be included.</b><p>Global include-files will be included using &lt;&gt;-brackets, while local files will included using quotation marks.</p>" ) );

    GroupBox2Layout->addWidget( comboLocation, 2, 2 );

    editInclude = new QLineEdit( GroupBox2, "editInclude" );
    QToolTip::add(  editInclude, tr( "Change file" ) );
    QWhatsThis::add(  editInclude, tr( "Change the name of the selected include-file." ) );

    GroupBox2Layout->addMultiCellWidget( editInclude, 2, 2, 0, 1 );

    buttonRemove = new QPushButton( GroupBox2, "buttonRemove" );
    buttonRemove->setText( tr( "&Delete Include" ) );
    buttonRemove->setAutoDefault( TRUE );
    QToolTip::add(  buttonRemove, tr( "Delete include-file" ) );
    QWhatsThis::add(  buttonRemove, tr( "Delete the selected include-file from the list" ) );

    GroupBox2Layout->addWidget( buttonRemove, 1, 2 );
    QSpacerItem* spacer_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox2Layout->addItem( spacer_2, 1, 0 );

    buttonAdd = new QPushButton( GroupBox2, "buttonAdd" );
    buttonAdd->setText( tr( "N&ew Include" ) );
    buttonAdd->setAutoDefault( TRUE );
    QToolTip::add(  buttonAdd, tr( "Add include-file" ) );
    QWhatsThis::add(  buttonAdd, tr( "Add a new include-file." ) );

    GroupBox2Layout->addWidget( buttonAdd, 1, 1 );

    FormSettingsBaseLayout->addWidget( GroupBox2, 0, 1 );

    GroupBox2_2 = new QGroupBox( this, "GroupBox2_2" );
    GroupBox2_2->setTitle( tr( "Forwa&rds" ) );
    GroupBox2_2->setFrameShadow( QGroupBox::Sunken );
    GroupBox2_2->setFrameShape( QGroupBox::Box );
    GroupBox2_2->setColumnLayout(0, Qt::Vertical );
    GroupBox2_2->layout()->setSpacing( 0 );
    GroupBox2_2->layout()->setMargin( 0 );
    GroupBox2_2Layout = new QGridLayout( GroupBox2_2->layout() );
    GroupBox2_2Layout->setAlignment( Qt::AlignTop );
    GroupBox2_2Layout->setSpacing( 6 );
    GroupBox2_2Layout->setMargin( 11 );

    listForwards = new QListView( GroupBox2_2, "listForwards" );
    listForwards->addColumn( tr( "Forward Declaration" ) );
    listForwards->setAllColumnsShowFocus( TRUE );
    listForwards->setShowSortIndicator( TRUE );
    QWhatsThis::add(  listForwards, tr( "List of all forward declarations that will be included in the <em>classname.h</em>-file." ) );

    GroupBox2_2Layout->addMultiCellWidget( listForwards, 0, 0, 0, 2 );

    editForward = new QLineEdit( GroupBox2_2, "editForward" );
    QToolTip::add(  editForward, tr( "Change forward declaration" ) );
    QWhatsThis::add(  editForward, tr( "Change the name of the selected forward declaration. This should be something like <pre>class MyClass</pre>" ) );

    GroupBox2_2Layout->addMultiCellWidget( editForward, 2, 2, 0, 2 );

    buttonRemoveForward = new QPushButton( GroupBox2_2, "buttonRemoveForward" );
    buttonRemoveForward->setText( tr( "Dele&te Forward" ) );
    buttonRemoveForward->setAutoDefault( TRUE );
    QToolTip::add(  buttonRemoveForward, tr( "Delete forward declaration" ) );
    QWhatsThis::add(  buttonRemoveForward, tr( "Delete the selected forward declaration from the list" ) );

    GroupBox2_2Layout->addWidget( buttonRemoveForward, 1, 2 );
    QSpacerItem* spacer_3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox2_2Layout->addItem( spacer_3, 1, 0 );

    buttonAddForward = new QPushButton( GroupBox2_2, "buttonAddForward" );
    buttonAddForward->setText( tr( "Ne&w Forward" ) );
    buttonAddForward->setAutoDefault( TRUE );
    QToolTip::add(  buttonAddForward, tr( "Add forward declaration" ) );
    QWhatsThis::add(  buttonAddForward, tr( "Add a new forward declaration." ) );

    GroupBox2_2Layout->addWidget( buttonAddForward, 1, 1 );

    FormSettingsBaseLayout->addWidget( GroupBox2_2, 1, 1 );

    Layout4 = new QHBoxLayout; 
    Layout4->setSpacing( 6 );
    Layout4->setMargin( 0 );

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setText( tr( "&Help" ) );
    buttonHelp->setAutoDefault( TRUE );
    Layout4->addWidget( buttonHelp );
    QSpacerItem* spacer_4 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout4->addItem( spacer_4 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    QWhatsThis::add(  buttonOk, tr( "Close dialog and apply all changes." ) );
    Layout4->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setText( tr( "&Cancel" ) );
    buttonCancel->setAutoDefault( TRUE );
    QWhatsThis::add(  buttonCancel, tr( "Close dialog and discard all changes." ) );
    Layout4->addWidget( buttonCancel );

    FormSettingsBaseLayout->addMultiCellLayout( Layout4, 2, 2, 0, 1 );

    // signals and slots connections
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( okClicked() ) );
    connect( buttonAdd, SIGNAL( clicked() ), this, SLOT( addInclude() ) );
    connect( buttonRemove, SIGNAL( clicked() ), this, SLOT( removeInclude() ) );
    connect( listIncludes, SIGNAL( currentChanged(QListViewItem*) ), this, SLOT( currentIncludeChanged( QListViewItem * ) ) );
    connect( listIncludes, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( currentIncludeChanged( QListViewItem * ) ) );
    connect( editInclude, SIGNAL( textChanged(const QString&) ), this, SLOT( includeNameChanged( const QString & ) ) );
    connect( comboLocation, SIGNAL( activated(const QString&) ), this, SLOT( includeAccessChanged( const QString & ) ) );
    connect( radioPixmapFunction, SIGNAL( toggled(bool) ), editPixmapFunction, SLOT( setEnabled(bool) ) );
    connect( buttonAddForward, SIGNAL( clicked() ), this, SLOT( addForward() ) );
    connect( buttonRemoveForward, SIGNAL( clicked() ), this, SLOT( removeForward() ) );
    connect( editForward, SIGNAL( textChanged(const QString&) ), this, SLOT( forwardNameChanged( const QString & ) ) );
    connect( listForwards, SIGNAL( currentChanged(QListViewItem*) ), this, SLOT( currentForwardChanged( QListViewItem * ) ) );
    connect( listForwards, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( currentForwardChanged( QListViewItem * ) ) );

    // tab order
    setTabOrder( editClassName, editComment );
    setTabOrder( editComment, editAuthor );
    setTabOrder( editAuthor, radioPixmapInline );
    setTabOrder( radioPixmapInline, radioPixmapFunction );
    setTabOrder( radioPixmapFunction, editPixmapFunction );
    setTabOrder( editPixmapFunction, listIncludes );
    setTabOrder( listIncludes, buttonAdd );
    setTabOrder( buttonAdd, buttonRemove );
    setTabOrder( buttonRemove, editInclude );
    setTabOrder( editInclude, comboLocation );
    setTabOrder( comboLocation, listForwards );
    setTabOrder( listForwards, buttonAddForward );
    setTabOrder( buttonAddForward, buttonRemoveForward );
    setTabOrder( buttonRemoveForward, editForward );
    setTabOrder( editForward, buttonHelp );
    setTabOrder( buttonHelp, buttonOk );
    setTabOrder( buttonOk, buttonCancel );

    // buddies
    TextLabel1_2->setBuddy( editAuthor );
    TextLabel1->setBuddy( editClassName );
    TextLabel2->setBuddy( editComment );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
FormSettingsBase::~FormSettingsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

void FormSettingsBase::addForward()
{
    qWarning( "FormSettingsBase::addForward(): Not implemented yet!" );
}

void FormSettingsBase::addInclude()
{
    qWarning( "FormSettingsBase::addInclude(): Not implemented yet!" );
}

void FormSettingsBase::currentIncludeChanged( QListViewItem * )
{
    qWarning( "FormSettingsBase::currentIncludeChanged( QListViewItem * ): Not implemented yet!" );
}

void FormSettingsBase::forwardNameChanged( const QString & )
{
    qWarning( "FormSettingsBase::forwardNameChanged( const QString & ): Not implemented yet!" );
}

void FormSettingsBase::includeAccessChanged( const QString & )
{
    qWarning( "FormSettingsBase::includeAccessChanged( const QString & ): Not implemented yet!" );
}

void FormSettingsBase::includeNameChanged( const QString & )
{
    qWarning( "FormSettingsBase::includeNameChanged( const QString & ): Not implemented yet!" );
}

void FormSettingsBase::currentForwardChanged( QListViewItem * )
{
    qWarning( "FormSettingsBase::currentForwardChanged( QListViewItem * ): Not implemented yet!" );
}

void FormSettingsBase::okClicked()
{
    qWarning( "FormSettingsBase::okClicked(): Not implemented yet!" );
}

void FormSettingsBase::removeForward()
{
    qWarning( "FormSettingsBase::removeForward(): Not implemented yet!" );
}

void FormSettingsBase::removeInclude()
{
    qWarning( "FormSettingsBase::removeInclude(): Not implemented yet!" );
}

