/****************************************************************************
** Form implementation generated from reading ui file 'helpdialog.ui'
**
** Created: Wed Dec 20 19:07:20 2023
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "helpdialog.h"

#include <qframe.h>
#include <qheader.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlistbox.h>
#include <qlistview.h>
#include <qprogressbar.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a HelpDialogBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
HelpDialogBase::HelpDialogBase( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "HelpDialogBase" );
    resize( 504, 415 ); 
    setCaption( tr( "Help" ) );
    setSizeGripEnabled( TRUE );
    QWhatsThis::add(  this, tr( "<b>Help</b><p>Choose the topic you need help for from the contents list, or search the index for keywords.</p>" ) );
    HelpDialogBaseLayout = new QVBoxLayout( this ); 
    HelpDialogBaseLayout->setSpacing( 6 );
    HelpDialogBaseLayout->setMargin( 11 );

    tabWidget = new QTabWidget( this, "tabWidget" );
    QWhatsThis::add(  tabWidget, tr( "Displays help topics organized by category, index or bookmarks" ) );

    QWidget* privateWidget = new QWidget( tabWidget, "privateWidget" );
    vbox = new QVBoxLayout( privateWidget ); 
    vbox->setSpacing( 6 );
    vbox->setMargin( 11 );

    listContents = new QListView( privateWidget, "listContents" );
    listContents->addColumn( tr( "Column 1" ) );
    listContents->setRootIsDecorated( TRUE );
    QWhatsThis::add(  listContents, tr( "<b>Help topics organized by category.</b><p>Double-click an item to see which topics are in that category. To view a topic, select it, and then click <b>Display</b>.</p>" ) );
    vbox->addWidget( listContents );
    tabWidget->insertTab( privateWidget, tr( "Con&tents" ) );

    QWidget* privateWidget_2 = new QWidget( tabWidget, "privateWidget_2" );
    grid = new QGridLayout( privateWidget_2 ); 
    grid->setSpacing( 6 );
    grid->setMargin( 11 );

    editIndex = new QLineEdit( privateWidget_2, "editIndex" );
    QToolTip::add(  editIndex, tr( "Enter keyword" ) );
    QWhatsThis::add(  editIndex, tr( "<b>Enter a keyword.</b><p>The list will select an item that matches the entered string best.</p>" ) );

    grid->addWidget( editIndex, 0, 1 );

    TextLabel1 = new QLabel( privateWidget_2, "TextLabel1" );
    TextLabel1->setText( tr( "&Look For:" ) );

    grid->addWidget( TextLabel1, 0, 0 );

    listIndex = new QListBox( privateWidget_2, "listIndex" );
    QWhatsThis::add(  listIndex, tr( "<b>List of available help topics.</b><p>Double-click on an item to open up the help page for this topic. You will have to choose the right page if more than one are found.</p>" ) );

    grid->addMultiCellWidget( listIndex, 1, 1, 0, 1 );
    tabWidget->insertTab( privateWidget_2, tr( "&Index" ) );

    QWidget* privateWidget_3 = new QWidget( tabWidget, "privateWidget_3" );
    grid_2 = new QGridLayout( privateWidget_3 ); 
    grid_2->setSpacing( 6 );
    grid_2->setMargin( 11 );

    buttonRemove = new QPushButton( privateWidget_3, "buttonRemove" );
    buttonRemove->setText( tr( "D&elete Bookmark" ) );
    QToolTip::add(  buttonRemove, tr( "Delete bookmark" ) );
    QWhatsThis::add(  buttonRemove, tr( "Delete the selected bookmark from the list." ) );

    grid_2->addWidget( buttonRemove, 1, 1 );
    QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    grid_2->addItem( spacer, 2, 1 );

    buttonAdd = new QPushButton( privateWidget_3, "buttonAdd" );
    buttonAdd->setText( tr( "&New Bookmark" ) );
    QToolTip::add(  buttonAdd, tr( "Add new bookmark" ) );
    QWhatsThis::add(  buttonAdd, tr( "Add the current displayed page as new bookmark to the list." ) );

    grid_2->addWidget( buttonAdd, 0, 1 );

    listBookmarks = new QListView( privateWidget_3, "listBookmarks" );
    listBookmarks->addColumn( tr( "Column 1" ) );
    QWhatsThis::add(  listBookmarks, tr( "Displays the list of bookmarks." ) );

    grid_2->addMultiCellWidget( listBookmarks, 0, 2, 0, 0 );
    tabWidget->insertTab( privateWidget_3, tr( "&Bookmarks" ) );
    HelpDialogBaseLayout->addWidget( tabWidget );

    Layout18 = new QHBoxLayout; 
    Layout18->setSpacing( 6 );
    Layout18->setMargin( 0 );

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setText( tr( "&Help" ) );
    buttonHelp->setAutoDefault( TRUE );
    Layout18->addWidget( buttonHelp );
    QSpacerItem* spacer_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout18->addItem( spacer_2 );

    buttonDisplay = new QPushButton( this, "buttonDisplay" );
    buttonDisplay->setText( tr( "&Display" ) );
    buttonDisplay->setAutoDefault( TRUE );
    buttonDisplay->setDefault( TRUE );
    QWhatsThis::add(  buttonDisplay, tr( "<b>Display the selected topic.</b><p>You will have to choose the right location if more the topic is found on more than one page.</p>" ) );
    Layout18->addWidget( buttonDisplay );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setText( tr( "&Close" ) );
    buttonCancel->setAutoDefault( TRUE );
    QWhatsThis::add(  buttonCancel, tr( "Close the Dialog." ) );
    Layout18->addWidget( buttonCancel );
    HelpDialogBaseLayout->addLayout( Layout18 );

    framePrepare = new QFrame( this, "framePrepare" );
    framePrepare->setFrameShadow( QFrame::Raised );
    framePrepare->setFrameShape( QFrame::StyledPanel );
    framePrepareLayout = new QHBoxLayout( framePrepare ); 
    framePrepareLayout->setSpacing( 6 );
    framePrepareLayout->setMargin( 3 );

    labelPrepare = new QLabel( framePrepare, "labelPrepare" );
    labelPrepare->setText( tr( "Preparing..." ) );
    framePrepareLayout->addWidget( labelPrepare );

    progressPrepare = new QProgressBar( framePrepare, "progressPrepare" );
    framePrepareLayout->addWidget( progressPrepare );
    HelpDialogBaseLayout->addWidget( framePrepare );

    // signals and slots connections
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( tabWidget, SIGNAL( selected(const QString&) ), this, SLOT( currentTabChanged( const QString & ) ) );
    connect( listIndex, SIGNAL( doubleClicked(QListBoxItem*) ), this, SLOT( showTopic() ) );
    connect( listIndex, SIGNAL( selectionChanged(QListBoxItem*) ), this, SLOT( currentIndexChanged( QListBoxItem * ) ) );
    connect( listIndex, SIGNAL( returnPressed(QListBoxItem*) ), this, SLOT( showTopic() ) );
    connect( listIndex, SIGNAL( currentChanged(QListBoxItem*) ), this, SLOT( currentIndexChanged( QListBoxItem * ) ) );
    connect( buttonDisplay, SIGNAL( clicked() ), this, SLOT( showTopic() ) );
    connect( editIndex, SIGNAL( textChanged(const QString&) ), this, SLOT( searchInIndex( const QString & ) ) );
    connect( buttonAdd, SIGNAL( clicked() ), this, SLOT( addBookmark() ) );
    connect( buttonRemove, SIGNAL( clicked() ), this, SLOT( removeBookmark() ) );
    connect( listBookmarks, SIGNAL( doubleClicked(QListViewItem*) ), this, SLOT( showTopic() ) );
    connect( listBookmarks, SIGNAL( returnPressed(QListViewItem*) ), this, SLOT( showTopic() ) );
    connect( listBookmarks, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( currentBookmarkChanged( QListViewItem * ) ) );
    connect( listBookmarks, SIGNAL( currentChanged(QListViewItem*) ), this, SLOT( currentBookmarkChanged( QListViewItem * ) ) );
    connect( listContents, SIGNAL( currentChanged(QListViewItem*) ), this, SLOT( currentContentsChanged( QListViewItem * ) ) );
    connect( listContents, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( currentContentsChanged( QListViewItem * ) ) );
    connect( listContents, SIGNAL( doubleClicked(QListViewItem*) ), this, SLOT( showTopic() ) );
    connect( listContents, SIGNAL( returnPressed(QListViewItem*) ), this, SLOT( showTopic() ) );

    // buddies
    TextLabel1->setBuddy( editIndex );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
HelpDialogBase::~HelpDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

void HelpDialogBase::addBookmark()
{
    qWarning( "HelpDialogBase::addBookmark(): Not implemented yet!" );
}

void HelpDialogBase::currentBookmarkChanged( QListViewItem * )
{
    qWarning( "HelpDialogBase::currentBookmarkChanged( QListViewItem * ): Not implemented yet!" );
}

void HelpDialogBase::currentIndexChanged( QListBoxItem * )
{
    qWarning( "HelpDialogBase::currentIndexChanged( QListBoxItem * ): Not implemented yet!" );
}

void HelpDialogBase::currentTabChanged( const QString & )
{
    qWarning( "HelpDialogBase::currentTabChanged( const QString & ): Not implemented yet!" );
}

void HelpDialogBase::loadIndexFile()
{
    qWarning( "HelpDialogBase::loadIndexFile(): Not implemented yet!" );
}

void HelpDialogBase::currentContentsChanged( QListViewItem * )
{
    qWarning( "HelpDialogBase::currentContentsChanged( QListViewItem * ): Not implemented yet!" );
}

void HelpDialogBase::removeBookmark()
{
    qWarning( "HelpDialogBase::removeBookmark(): Not implemented yet!" );
}

void HelpDialogBase::searchInIndex( const QString & )
{
    qWarning( "HelpDialogBase::searchInIndex( const QString & ): Not implemented yet!" );
}

void HelpDialogBase::showTopic()
{
    qWarning( "HelpDialogBase::showTopic(): Not implemented yet!" );
}

