/****************************************************************************
** Form interface generated from reading ui file 'paletteeditor.ui'
**
** Created: Wed Dec 20 19:07:13 2023
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#ifndef PALETTEEDITORBASE_H
#define PALETTEEDITORBASE_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class PreviewStack;
class QCheckBox;
class QComboBox;
class QFrame;
class QGroupBox;
class QLabel;
class QPushButton;
class QTabWidget;
class QToolButton;
class QWidget;
class StyledButton;

class PaletteEditorBase : public QDialog
{ 
    Q_OBJECT

public:
    PaletteEditorBase( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~PaletteEditorBase();

    QTabWidget* tabWidget;
    QGroupBox* GroupBox4;
    QToolButton* buttonActiveNext;
    QToolButton* buttonActivePrevious;
    PreviewStack* previewActive;
    QFrame* Frame5;
    QGroupBox* groupActiveEffect;
    QCheckBox* checkBuildActiveEffect;
    QComboBox* comboActiveEffect;
    QLabel* labelActiveEffect;
    StyledButton* buttonActiveEffect;
    QGroupBox* groupActiveCentral;
    QComboBox* comboActiveCentral;
    QLabel* labelActivePixmap;
    StyledButton* buttonActivePixmap;
    QLabel* labelActiveCentral;
    StyledButton* buttonActiveCentral;
    QGroupBox* groupAutoPalette;
    QCheckBox* checkBuildPalette;
    QLabel* labelMainColor;
    StyledButton* buttonMainColor;
    QLabel* labelMainColor2;
    StyledButton* buttonMainColor2;
    QGroupBox* groupInactiveAuto;
    QCheckBox* checkBuildInactive;
    QGroupBox* GroupBox8;
    QToolButton* buttonInactivePrevious;
    QToolButton* buttonInactiveNext;
    PreviewStack* previewInactive;
    QFrame* Frame4;
    QGroupBox* groupInactiveCentral;
    QComboBox* comboInactiveCentral;
    QLabel* labelInactivePixmap;
    StyledButton* buttonInactivePixmap;
    QLabel* labelInactiveCentral;
    StyledButton* buttonInactiveCentral;
    QGroupBox* groupInactiveEffect;
    QCheckBox* checkBuildInactiveEffect;
    QComboBox* comboInactiveEffect;
    QLabel* labelInactiveEffect;
    StyledButton* buttonInactiveEffect;
    QGroupBox* groupDisabledAuto;
    QCheckBox* checkBuildDisabled;
    QGroupBox* GroupBox12;
    QToolButton* buttonDisabledPrevious;
    QToolButton* buttonDisabledNext;
    PreviewStack* previewDisabled;
    QFrame* Frame1;
    QGroupBox* groupDisabledCentral;
    QComboBox* comboDisabledCentral;
    QLabel* labelDisabledPixmap;
    StyledButton* buttonDisabledPixmap;
    QLabel* labelDisabledCentral;
    StyledButton* buttonDisabledCentral;
    QGroupBox* groupDisabledEffect;
    QCheckBox* checkBuildDisabledEffect;
    QComboBox* comboDisabledEffect;
    QLabel* labelDisabledEffect;
    StyledButton* buttonDisabledEffect;
    QPushButton* buttonHelp;
    QPushButton* buttonApply;
    QPushButton* buttonOk;
    QPushButton* buttonCancel;

public slots:
    virtual void apply();
    virtual void showHelp();

protected slots:
    virtual void onChooseActivePixmap();
    virtual void onChooseInactivePixmap();
    virtual void onChooseDisabledPixmap();
    virtual void onActiveCentral(int);
    virtual void onActiveEffect(int);
    virtual void onChoose2ndMainColor();
    virtual void onChooseActiveCentralColor();
    virtual void onChooseActiveEffectColor();
    virtual void onChooseDisabledCentralColor();
    virtual void onChooseDisabledEffectColor();
    virtual void onChooseInactiveCentralColor();
    virtual void onChooseInactiveEffectColor();
    virtual void onChooseMainColor();
    virtual void onDisabledCentral(int);
    virtual void onDisabledEffect(int);
    virtual void onInactiveCentral(int);
    virtual void onInactiveEffect(int);
    virtual void onTabPage(const QString&);
    virtual void onToggleActiveBuildEffects(bool);
    virtual void onToggleBuildAll(bool);
    virtual void onToggleBuildDisabled(bool);
    virtual void onToggleBuildInactive(bool);
    virtual void onToggleDisabledBuildEffects(bool);
    virtual void onToggleInactiveBuildEffects(bool);

protected:
    QVBoxLayout* PaletteEditorBaseLayout;
    QGridLayout* grid;
    QGridLayout* GroupBox4Layout;
    QVBoxLayout* groupActiveEffectLayout;
    QHBoxLayout* Layout4;
    QHBoxLayout* Layout15;
    QVBoxLayout* groupActiveCentralLayout;
    QHBoxLayout* Layout33;
    QHBoxLayout* groupAutoPaletteLayout;
    QGridLayout* grid_2;
    QHBoxLayout* groupInactiveAutoLayout;
    QGridLayout* GroupBox8Layout;
    QVBoxLayout* groupInactiveCentralLayout;
    QHBoxLayout* Layout32;
    QVBoxLayout* groupInactiveEffectLayout;
    QHBoxLayout* Layout32_2;
    QHBoxLayout* Layout31;
    QGridLayout* grid_3;
    QHBoxLayout* groupDisabledAutoLayout;
    QGridLayout* GroupBox12Layout;
    QVBoxLayout* groupDisabledCentralLayout;
    QHBoxLayout* Layout31_2;
    QVBoxLayout* groupDisabledEffectLayout;
    QHBoxLayout* Layout7;
    QHBoxLayout* Layout19;
    QHBoxLayout* Layout3;
};

#endif // PALETTEEDITORBASE_H
