/****************************************************************************
** Form implementation generated from reading ui file 'topicchooser.ui'
**
** Created: Wed Dec 20 19:07:20 2023
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "topicchooser.h"

#include <qlabel.h>
#include <qlistbox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a TopicChooserBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
TopicChooserBase::TopicChooserBase( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "TopicChooserBase" );
    resize( 395, 223 ); 
    setCaption( tr( "Choose Topic" ) );
    setSizeGripEnabled( TRUE );
    QWhatsThis::add(  this, tr( "Select a topic from the list and click the <b>Display</b>-button to open the online help." ) );
    TopicChooserBaseLayout = new QVBoxLayout( this ); 
    TopicChooserBaseLayout->setSpacing( 6 );
    TopicChooserBaseLayout->setMargin( 11 );

    label = new QLabel( this, "label" );
    label->setText( tr( "&Topics" ) );
    TopicChooserBaseLayout->addWidget( label );

    listbox = new QListBox( this, "listbox" );
    QWhatsThis::add(  listbox, tr( "Displays a list of available help topics for the keyword." ) );
    TopicChooserBaseLayout->addWidget( listbox );

    Layout16 = new QHBoxLayout; 
    Layout16->setSpacing( 6 );
    Layout16->setMargin( 0 );

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setText( tr( "&Help" ) );
    buttonHelp->setAutoDefault( TRUE );
    Layout16->addWidget( buttonHelp );
    QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout16->addItem( spacer );

    buttonDisplay = new QPushButton( this, "buttonDisplay" );
    buttonDisplay->setText( tr( "&Display" ) );
    buttonDisplay->setAutoDefault( TRUE );
    buttonDisplay->setDefault( TRUE );
    QWhatsThis::add(  buttonDisplay, tr( "Open the topic selected in the list." ) );
    Layout16->addWidget( buttonDisplay );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setText( tr( "&Close" ) );
    buttonCancel->setAutoDefault( TRUE );
    QWhatsThis::add(  buttonCancel, tr( "Close the Dialog." ) );
    Layout16->addWidget( buttonCancel );
    TopicChooserBaseLayout->addLayout( Layout16 );

    // signals and slots connections
    connect( buttonDisplay, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( listbox, SIGNAL( doubleClicked(QListBoxItem*) ), this, SLOT( accept() ) );
    connect( listbox, SIGNAL( returnPressed(QListBoxItem*) ), this, SLOT( accept() ) );

    // buddies
    label->setBuddy( listbox );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
TopicChooserBase::~TopicChooserBase()
{
    // no need to delete child widgets, Qt does it all for us
}

