/****************************************************************************
** Form implementation generated from reading ui file 'connectioneditor.ui'
**
** Created: Wed Dec 20 19:07:20 2023
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "connectioneditor.h"

#include <qheader.h>
#include <qlabel.h>
#include <qlistbox.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a ConnectionEditorBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ConnectionEditorBase::ConnectionEditorBase( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ConnectionEditorBase" );
    resize( 671, 443 ); 
    setCaption( tr( "Edit Connections" ) );
    setSizeGripEnabled( TRUE );
    QWhatsThis::add(  this, tr( "<b>Edit Connections</b><p>Add and remove connections in the current form .</p><p>Select a signal and a corresponding slot and press the <b>Connect</b>-button to create a connection.</p><p>Select a connection from the list and press the <b>Disconnect</b>-button to delete the connection.</p>" ) );
    ConnectionEditorBaseLayout = new QGridLayout( this ); 
    ConnectionEditorBaseLayout->setSpacing( 6 );
    ConnectionEditorBaseLayout->setMargin( 11 );

    signalBox = new QListBox( this, "signalBox" );
    QWhatsThis::add(  signalBox, tr( "Displays a list of signals for the emitting widget." ) );

    ConnectionEditorBaseLayout->addMultiCellWidget( signalBox, 1, 3, 0, 0 );

    labelSignal = new QLabel( this, "labelSignal" );
    labelSignal->setText( tr( "Si&gnals:" ) );

    ConnectionEditorBaseLayout->addWidget( labelSignal, 0, 0 );

    slotBox = new QListBox( this, "slotBox" );
    QWhatsThis::add(  slotBox, tr( "<b>A list of slots for the receiver.</b><p>Only those slots are displayed that have arguments corresponding with the signal selected in the Signal-list.</b>" ) );

    ConnectionEditorBaseLayout->addMultiCellWidget( slotBox, 1, 3, 1, 1 );

    labelSlot = new QLabel( this, "labelSlot" );
    labelSlot->setText( tr( "&Slots:" ) );

    ConnectionEditorBaseLayout->addWidget( labelSlot, 0, 1 );

    connectionView = new QListView( this, "connectionView" );
    connectionView->addColumn( tr( "Sender" ) );
    connectionView->addColumn( tr( "Signal" ) );
    connectionView->addColumn( tr( "Receiver" ) );
    connectionView->addColumn( tr( "Slot" ) );
    connectionView->setAllColumnsShowFocus( TRUE );
    connectionView->setShowSortIndicator( TRUE );
    QWhatsThis::add(  connectionView, tr( "Displays the connections between the sender and the receiver." ) );

    ConnectionEditorBaseLayout->addMultiCellWidget( connectionView, 5, 6, 0, 1 );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setText( tr( "Connec&tions:" ) );

    ConnectionEditorBaseLayout->addWidget( TextLabel1, 4, 0 );

    connectButton = new QPushButton( this, "connectButton" );
    connectButton->setText( tr( "Co&nnect" ) );
    connectButton->setAutoDefault( TRUE );
    QToolTip::add(  connectButton, tr( "Create connection" ) );
    QWhatsThis::add(  connectButton, tr( "Create the connection between signal and slot." ) );

    ConnectionEditorBaseLayout->addWidget( connectButton, 1, 2 );

    disconnectButton = new QPushButton( this, "disconnectButton" );
    disconnectButton->setText( tr( "&Disconnect" ) );
    disconnectButton->setAutoDefault( TRUE );
    QToolTip::add(  disconnectButton, tr( "Remove selected connection" ) );
    QWhatsThis::add(  disconnectButton, tr( "Remove the selected connection." ) );

    ConnectionEditorBaseLayout->addWidget( disconnectButton, 5, 2 );
    QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConnectionEditorBaseLayout->addItem( spacer, 6, 2 );

    Layout5 = new QHBoxLayout; 
    Layout5->setSpacing( 6 );
    Layout5->setMargin( 0 );

    helpButton = new QPushButton( this, "helpButton" );
    helpButton->setText( tr( "&Help" ) );
    helpButton->setAutoDefault( TRUE );
    Layout5->addWidget( helpButton );
    QSpacerItem* spacer_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout5->addItem( spacer_2 );

    okButton = new QPushButton( this, "okButton" );
    okButton->setText( tr( "&OK" ) );
    okButton->setAutoDefault( TRUE );
    okButton->setDefault( TRUE );
    QWhatsThis::add(  okButton, tr( "Close dialog and apply all changes." ) );
    Layout5->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    cancelButton->setText( tr( "&Cancel" ) );
    cancelButton->setAutoDefault( TRUE );
    QWhatsThis::add(  cancelButton, tr( "Close dialog and discard all changes." ) );
    Layout5->addWidget( cancelButton );

    ConnectionEditorBaseLayout->addMultiCellLayout( Layout5, 7, 7, 0, 2 );
    QSpacerItem* spacer_3 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConnectionEditorBaseLayout->addItem( spacer_3, 3, 2 );

    buttonAddSlot = new QPushButton( this, "buttonAddSlot" );
    buttonAddSlot->setText( tr( "&Edit Slots" ) );

    ConnectionEditorBaseLayout->addWidget( buttonAddSlot, 2, 2 );

    // signals and slots connections
    connect( signalBox, SIGNAL( selectionChanged() ), this, SLOT( signalChanged() ) );
    connect( connectButton, SIGNAL( clicked() ), this, SLOT( connectClicked() ) );
    connect( disconnectButton, SIGNAL( clicked() ), this, SLOT( disconnectClicked() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( okClicked() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( cancelClicked() ) );
    connect( connectionView, SIGNAL( currentChanged(QListViewItem*) ), this, SLOT( connectionsChanged() ) );
    connect( connectionView, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( connectionsChanged() ) );
    connect( slotBox, SIGNAL( clicked(QListBoxItem*) ), connectButton, SLOT( animateClick() ) );
    connect( slotBox, SIGNAL( selectionChanged(QListBoxItem*) ), this, SLOT( slotsChanged() ) );
    connect( buttonAddSlot, SIGNAL( clicked() ), this, SLOT( addSlotClicked() ) );

    // tab order
    setTabOrder( signalBox, slotBox );
    setTabOrder( slotBox, connectButton );
    setTabOrder( connectButton, connectionView );
    setTabOrder( connectionView, disconnectButton );
    setTabOrder( disconnectButton, helpButton );
    setTabOrder( helpButton, okButton );
    setTabOrder( okButton, cancelButton );

    // buddies
    labelSignal->setBuddy( signalBox );
    labelSlot->setBuddy( slotBox );
    TextLabel1->setBuddy( connectionView );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
ConnectionEditorBase::~ConnectionEditorBase()
{
    // no need to delete child widgets, Qt does it all for us
}

void ConnectionEditorBase::addSlotClicked()
{
    qWarning( "ConnectionEditorBase::addSlotClicked(): Not implemented yet!" );
}

void ConnectionEditorBase::cancelClicked()
{
    qWarning( "ConnectionEditorBase::cancelClicked(): Not implemented yet!" );
}

void ConnectionEditorBase::connectClicked()
{
    qWarning( "ConnectionEditorBase::connectClicked(): Not implemented yet!" );
}

void ConnectionEditorBase::connectionsChanged()
{
    qWarning( "ConnectionEditorBase::connectionsChanged(): Not implemented yet!" );
}

void ConnectionEditorBase::disconnectClicked()
{
    qWarning( "ConnectionEditorBase::disconnectClicked(): Not implemented yet!" );
}

void ConnectionEditorBase::okClicked()
{
    qWarning( "ConnectionEditorBase::okClicked(): Not implemented yet!" );
}

void ConnectionEditorBase::signalChanged()
{
    qWarning( "ConnectionEditorBase::signalChanged(): Not implemented yet!" );
}

void ConnectionEditorBase::slotsChanged()
{
    qWarning( "ConnectionEditorBase::slotsChanged(): Not implemented yet!" );
}

