/****************************************************************************
** Form implementation generated from reading ui file 'editslots.ui'
**
** Created: Wed Dec 20 19:07:20 2023
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "editslots.h"

#include <qcombobox.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a EditSlotsBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
EditSlotsBase::EditSlotsBase( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "EditSlotsBase" );
    resize( 520, 365 ); 
    setCaption( tr( "Edit Slots" ) );
    setSizeGripEnabled( TRUE );
    QWhatsThis::add(  this, tr( "<b>Edit Slots</b><p>Add, change and remove slots of the current form.</p><p>Press the <b>Add Slot</b>-button to create a new slot, enter a slot name and choose an access mode.</p><p>Select an entry from the list and press the <b>Delete Slot</b>-button to remove a slot. All connections using this slot will be removed, too.</p>" ) );
    EditSlotsBaseLayout = new QGridLayout( this ); 
    EditSlotsBaseLayout->setSpacing( 6 );
    EditSlotsBaseLayout->setMargin( 11 );

    slotListView = new QListView( this, "slotListView" );
    slotListView->addColumn( tr( "Slot" ) );
    slotListView->addColumn( tr( "Access" ) );
    slotListView->addColumn( tr( "In Use" ) );
    slotListView->setFrameShadow( QListView::Sunken );
    slotListView->setFrameShape( QListView::StyledPanel );
    slotListView->setAllColumnsShowFocus( TRUE );
    slotListView->setShowSortIndicator( TRUE );
    slotListView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, slotListView->sizePolicy().hasHeightForWidth() ) );
    QWhatsThis::add(  slotListView, tr( "<b>This form's slots.</b><p>Select the slot you want to change or delete.</p>" ) );

    EditSlotsBaseLayout->addMultiCellWidget( slotListView, 0, 0, 0, 2 );

    Layout1 = new QHBoxLayout; 
    Layout1->setSpacing( 6 );
    Layout1->setMargin( 0 );

    helpButton = new QPushButton( this, "helpButton" );
    helpButton->setText( tr( "&Help" ) );
    helpButton->setAutoDefault( TRUE );
    Layout1->addWidget( helpButton );
    QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( spacer );

    okButton = new QPushButton( this, "okButton" );
    okButton->setText( tr( "&OK" ) );
    okButton->setAutoDefault( TRUE );
    okButton->setDefault( TRUE );
    QWhatsThis::add(  okButton, tr( "Close dialog and apply all changes." ) );
    Layout1->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    cancelButton->setText( tr( "&Cancel" ) );
    cancelButton->setAutoDefault( TRUE );
    QWhatsThis::add(  cancelButton, tr( "Close dialog and discard all changes." ) );
    Layout1->addWidget( cancelButton );

    EditSlotsBaseLayout->addMultiCellLayout( Layout1, 3, 3, 0, 2 );

    addSlot = new QPushButton( this, "addSlot" );
    addSlot->setText( tr( "&New Slot" ) );
    QToolTip::add(  addSlot, tr( "Add new slot" ) );
    QWhatsThis::add(  addSlot, tr( "<b>Add a new slot.</b><p>New slots have a default name and public access.</p>" ) );

    EditSlotsBaseLayout->addWidget( addSlot, 1, 1 );

    deleteSlot = new QPushButton( this, "deleteSlot" );
    deleteSlot->setText( tr( "&Delete Slot" ) );
    QToolTip::add(  deleteSlot, tr( "Delete slot" ) );
    QWhatsThis::add(  deleteSlot, tr( "<b>Delete the selected slot.</b><p>All connections using this slot are removed, too.</p>" ) );

    EditSlotsBaseLayout->addWidget( deleteSlot, 1, 2 );
    QSpacerItem* spacer_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    EditSlotsBaseLayout->addItem( spacer_2, 1, 0 );

    GroupBox2 = new QGroupBox( this, "GroupBox2" );
    GroupBox2->setTitle( tr( "Slot Properties" ) );
    GroupBox2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, GroupBox2->sizePolicy().hasHeightForWidth() ) );
    GroupBox2->setColumnLayout(0, Qt::Vertical );
    GroupBox2->layout()->setSpacing( 0 );
    GroupBox2->layout()->setMargin( 0 );
    GroupBox2Layout = new QHBoxLayout( GroupBox2->layout() );
    GroupBox2Layout->setAlignment( Qt::AlignTop );
    GroupBox2Layout->setSpacing( 6 );
    GroupBox2Layout->setMargin( 11 );

    Label8 = new QLabel( GroupBox2, "Label8" );
    Label8->setText( tr( "&Slot:" ) );
    GroupBox2Layout->addWidget( Label8 );

    slotName = new QLineEdit( GroupBox2, "slotName" );
    slotName->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, slotName->sizePolicy().hasHeightForWidth() ) );
    QToolTip::add(  slotName, tr( "Change slot name" ) );
    QWhatsThis::add(  slotName, tr( "<b>Change the name of the selected slot.</b><p>The name should include the argument list and has to be syntactically correct.</p>" ) );
    GroupBox2Layout->addWidget( slotName );

    Label9 = new QLabel( GroupBox2, "Label9" );
    Label9->setText( tr( "Acc&ess:" ) );
    GroupBox2Layout->addWidget( Label9 );

    slotAccess = new QComboBox( FALSE, GroupBox2, "slotAccess" );
    slotAccess->insertItem( tr( "public" ) );
    slotAccess->insertItem( tr( "protected" ) );
    slotAccess->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, slotAccess->sizePolicy().hasHeightForWidth() ) );
    QToolTip::add(  slotAccess, tr( "Change slot access" ) );
    QWhatsThis::add(  slotAccess, tr( "<b>Change the access policy of the slot</b><p>All slots will be created virtual and should be reimplemented in subclasses.</p>" ) );
    GroupBox2Layout->addWidget( slotAccess );

    EditSlotsBaseLayout->addMultiCellWidget( GroupBox2, 2, 2, 0, 2 );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( okClicked() ) );
    connect( deleteSlot, SIGNAL( clicked() ), this, SLOT( slotRemove() ) );
    connect( addSlot, SIGNAL( clicked() ), this, SLOT( slotAdd() ) );
    connect( slotName, SIGNAL( textChanged(const QString&) ), this, SLOT( currentTextChanged(const QString &) ) );
    connect( slotAccess, SIGNAL( activated(const QString&) ), this, SLOT( currentAccessChanged(const QString &) ) );
    connect( slotListView, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( currentItemChanged(QListViewItem*) ) );
    connect( slotListView, SIGNAL( currentChanged(QListViewItem*) ), this, SLOT( currentItemChanged(QListViewItem*) ) );

    // buddies
    Label8->setBuddy( slotName );
    Label9->setBuddy( slotAccess );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
EditSlotsBase::~EditSlotsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

void EditSlotsBase::okClicked()
{
    qWarning( "EditSlotsBase::okClicked(): Not implemented yet!" );
}

void EditSlotsBase::slotAdd()
{
    qWarning( "EditSlotsBase::slotAdd(): Not implemented yet!" );
}

void EditSlotsBase::slotRemove()
{
    qWarning( "EditSlotsBase::slotRemove(): Not implemented yet!" );
}

void EditSlotsBase::currentItemChanged(QListViewItem*)
{
    qWarning( "EditSlotsBase::currentItemChanged(QListViewItem*): Not implemented yet!" );
}

void EditSlotsBase::currentTextChanged(const QString &)
{
    qWarning( "EditSlotsBase::currentTextChanged(const QString &): Not implemented yet!" );
}

void EditSlotsBase::currentAccessChanged(const QString &)
{
    qWarning( "EditSlotsBase::currentAccessChanged(const QString &): Not implemented yet!" );
}

