/****************************************************************************
** Form implementation generated from reading ui file 'iconvieweditor.ui'
**
** Created: Wed Dec 20 19:07:20 2023
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "iconvieweditor.h"

#include <qgroupbox.h>
#include <qiconview.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

static const char* const image0_data[] = { 
"16 16 3 1",
". c None",
"# c #000000",
"a c #000083",
"................",
".....#...#......",
".....#...#......",
".....#...#......",
".....##.##......",
"......#.#.......",
"......###.......",
".......#........",
"......a#a.......",
"......a.aaa.....",
"....aaa.a..a....",
"...a..a.a..a....",
"...a..a.a..a....",
"...a..a..aa.....",
"....aa..........",
"................"};


/* 
 *  Constructs a IconViewEditorBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
IconViewEditorBase::IconViewEditorBase( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    QPixmap image0( ( const char** ) image0_data );
    if ( !name )
	setName( "IconViewEditorBase" );
    resize( 571, 321 ); 
    setCaption( tr( "Edit Iconview" ) );
    setSizeGripEnabled( TRUE );
    QWhatsThis::add(  this, tr( "<b>Edit Iconview</b><p>Add, change and remove items in the icon view.</p><p>Press the <b>New Item</b>-button to create a new entry, and enter a text or choose a pixmap.</p><p>Select an item from the view and press the <b>Delete Item</b>-button to remove the item from the view.</p>" ) );
    IconViewEditorBaseLayout = new QVBoxLayout( this ); 
    IconViewEditorBaseLayout->setSpacing( 6 );
    IconViewEditorBaseLayout->setMargin( 11 );

    Layout6 = new QHBoxLayout; 
    Layout6->setSpacing( 6 );
    Layout6->setMargin( 0 );

    preview = new QIconView( this, "preview" );
    QWhatsThis::add(  preview, tr( "All items in the view." ) );
    Layout6->addWidget( preview );

    Layout5 = new QVBoxLayout; 
    Layout5->setSpacing( 6 );
    Layout5->setMargin( 0 );

    itemNew = new QPushButton( this, "itemNew" );
    itemNew->setText( tr( "&New Item" ) );
    QToolTip::add(  itemNew, tr( "Add an item" ) );
    QWhatsThis::add(  itemNew, tr( "Create a new item for the view." ) );
    Layout5->addWidget( itemNew );

    itemDelete = new QPushButton( this, "itemDelete" );
    itemDelete->setText( tr( "&Delete Item" ) );
    QToolTip::add(  itemDelete, tr( "Delete item" ) );
    QWhatsThis::add(  itemDelete, tr( "Delete the selected item." ) );
    Layout5->addWidget( itemDelete );
    QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout5->addItem( spacer );
    Layout6->addLayout( Layout5 );

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setTitle( tr( "&Item Properties" ) );
    GroupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, GroupBox1->sizePolicy().hasHeightForWidth() ) );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 0 );
    GroupBox1->layout()->setMargin( 0 );
    GroupBox1Layout = new QGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );
    GroupBox1Layout->setSpacing( 6 );
    GroupBox1Layout->setMargin( 11 );

    Label1 = new QLabel( GroupBox1, "Label1" );
    Label1->setText( tr( "&Text:" ) );

    GroupBox1Layout->addWidget( Label1, 0, 0 );

    itemText = new QLineEdit( GroupBox1, "itemText" );
    itemText->setMinimumSize( QSize( 0, 0 ) );
    QToolTip::add(  itemText, tr( "Change text" ) );
    QWhatsThis::add(  itemText, tr( "Change the text for the selected item." ) );

    GroupBox1Layout->addWidget( itemText, 0, 1 );

    Label2 = new QLabel( GroupBox1, "Label2" );
    Label2->setText( tr( "&Pixmap:" ) );

    GroupBox1Layout->addWidget( Label2, 1, 0 );

    Layout4 = new QHBoxLayout; 
    Layout4->setSpacing( 6 );
    Layout4->setMargin( 0 );

    itemPixmap = new QLabel( GroupBox1, "itemPixmap" );
    itemPixmap->setText( tr( "Label4" ) );
    Layout4->addWidget( itemPixmap );

    itemDeletePixmap = new QPushButton( GroupBox1, "itemDeletePixmap" );
    itemDeletePixmap->setText( tr( "" ) );
    itemDeletePixmap->setMaximumSize( QSize( 30, 22 ) );
    itemDeletePixmap->setPixmap( image0 );
    QToolTip::add(  itemDeletePixmap, tr( "Delete Pixmap" ) );
    QWhatsThis::add(  itemDeletePixmap, tr( "Delete the pixmap of the selected item." ) );
    Layout4->addWidget( itemDeletePixmap );

    itemChoosePixmap = new QPushButton( GroupBox1, "itemChoosePixmap" );
    itemChoosePixmap->setText( tr( "..." ) );
    itemChoosePixmap->setMaximumSize( QSize( 30, 22 ) );
    QToolTip::add(  itemChoosePixmap, tr( "Select a Pixmap" ) );
    QWhatsThis::add(  itemChoosePixmap, tr( "Select a pixmap-file for the current item." ) );
    Layout4->addWidget( itemChoosePixmap );

    GroupBox1Layout->addLayout( Layout4, 1, 1 );
    Layout6->addWidget( GroupBox1 );
    IconViewEditorBaseLayout->addLayout( Layout6 );

    Layout1 = new QHBoxLayout; 
    Layout1->setSpacing( 6 );
    Layout1->setMargin( 0 );

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setText( tr( "&Help" ) );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    QSpacerItem* spacer_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( spacer_2 );

    buttonApply = new QPushButton( this, "buttonApply" );
    buttonApply->setText( tr( "&Apply" ) );
    buttonApply->setAutoDefault( TRUE );
    QWhatsThis::add(  buttonApply, tr( "Apply all changes." ) );
    Layout1->addWidget( buttonApply );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    QWhatsThis::add(  buttonOk, tr( "Close dialog and apply all changes." ) );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setText( tr( "&Cancel" ) );
    buttonCancel->setAutoDefault( TRUE );
    QWhatsThis::add(  buttonCancel, tr( "Close dialog and discard all changes." ) );
    Layout1->addWidget( buttonCancel );
    IconViewEditorBaseLayout->addLayout( Layout1 );

    // signals and slots connections
    connect( itemNew, SIGNAL( clicked() ), this, SLOT( insertNewItem() ) );
    connect( itemDelete, SIGNAL( clicked() ), this, SLOT( deleteCurrentItem() ) );
    connect( itemText, SIGNAL( textChanged( const QString & ) ), this, SLOT( currentTextChanged( const QString & ) ) );
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( okClicked() ) );
    connect( buttonApply, SIGNAL( clicked() ), this, SLOT( applyClicked() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( cancelClicked() ) );
    connect( itemChoosePixmap, SIGNAL( clicked() ), this, SLOT( choosePixmap() ) );
    connect( preview, SIGNAL( selectionChanged(QIconViewItem*) ), this, SLOT( currentItemChanged( QIconViewItem * ) ) );
    connect( preview, SIGNAL( currentChanged(QIconViewItem*) ), this, SLOT( currentItemChanged( QIconViewItem * ) ) );
    connect( itemDeletePixmap, SIGNAL( clicked() ), this, SLOT( deletePixmap() ) );

    // tab order
    setTabOrder( itemNew, itemDelete );
    setTabOrder( itemDelete, itemText );
    setTabOrder( itemText, itemChoosePixmap );
    setTabOrder( itemChoosePixmap, buttonHelp );
    setTabOrder( buttonHelp, buttonApply );
    setTabOrder( buttonApply, buttonOk );
    setTabOrder( buttonOk, buttonCancel );

    // buddies
    Label1->setBuddy( itemText );
    Label2->setBuddy( itemChoosePixmap );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
IconViewEditorBase::~IconViewEditorBase()
{
    // no need to delete child widgets, Qt does it all for us
}

void IconViewEditorBase::applyClicked()
{
    qWarning( "IconViewEditorBase::applyClicked(): Not implemented yet!" );
}

void IconViewEditorBase::cancelClicked()
{
    qWarning( "IconViewEditorBase::cancelClicked(): Not implemented yet!" );
}

void IconViewEditorBase::choosePixmap()
{
    qWarning( "IconViewEditorBase::choosePixmap(): Not implemented yet!" );
}

void IconViewEditorBase::currentItemChanged( QIconViewItem * )
{
    qWarning( "IconViewEditorBase::currentItemChanged( QIconViewItem * ): Not implemented yet!" );
}

void IconViewEditorBase::currentTextChanged( const QString & )
{
    qWarning( "IconViewEditorBase::currentTextChanged( const QString & ): Not implemented yet!" );
}

void IconViewEditorBase::deleteCurrentItem()
{
    qWarning( "IconViewEditorBase::deleteCurrentItem(): Not implemented yet!" );
}

void IconViewEditorBase::insertNewItem()
{
    qWarning( "IconViewEditorBase::insertNewItem(): Not implemented yet!" );
}

void IconViewEditorBase::deletePixmap()
{
    qWarning( "IconViewEditorBase::deletePixmap(): Not implemented yet!" );
}

void IconViewEditorBase::okClicked()
{
    qWarning( "IconViewEditorBase::okClicked(): Not implemented yet!" );
}

