/****************************************************************************
** Form implementation generated from reading ui file 'newform.ui'
**
** Created: Wed Dec 20 19:07:20 2023
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "newform.h"

#include <qiconview.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a NewFormBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
NewFormBase::NewFormBase( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "NewFormBase" );
    resize( 437, 255 ); 
    setCaption( tr( "New Form" ) );
    setSizeGripEnabled( TRUE );
    QWhatsThis::add(  this, tr( "<b>New Form</b><p>Select a template for the new form and click the <b>OK</b>-button to open it.</p>" ) );
    NewFormBaseLayout = new QVBoxLayout( this ); 
    NewFormBaseLayout->setSpacing( 6 );
    NewFormBaseLayout->setMargin( 11 );

    Label1 = new QLabel( this, "Label1" );
    Label1->setText( tr( "Choose a &template for the new form:" ) );
    NewFormBaseLayout->addWidget( Label1 );

    templateView = new QIconView( this, "templateView" );
    templateView->setItemsMovable( FALSE );
    templateView->setGridX( 120 );
    templateView->setWordWrapIconText( TRUE );
    QWhatsThis::add(  templateView, tr( "Displays a list of available templates." ) );
    NewFormBaseLayout->addWidget( templateView );

    Layout1 = new QHBoxLayout; 
    Layout1->setSpacing( 6 );
    Layout1->setMargin( 0 );

    helpButton = new QPushButton( this, "helpButton" );
    helpButton->setText( tr( "&Help" ) );
    helpButton->setAutoDefault( TRUE );
    Layout1->addWidget( helpButton );
    QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( spacer );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    QWhatsThis::add(  buttonOk, tr( "Open a new form using the selected template." ) );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setText( tr( "&Cancel" ) );
    buttonCancel->setAutoDefault( TRUE );
    QWhatsThis::add(  buttonCancel, tr( "Close dialog and do not open a form." ) );
    Layout1->addWidget( buttonCancel );
    NewFormBaseLayout->addLayout( Layout1 );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( templateView, SIGNAL( returnPressed(QIconViewItem*) ), this, SLOT( accept() ) );
    connect( templateView, SIGNAL( doubleClicked(QIconViewItem*) ), this, SLOT( accept() ) );

    // tab order
    setTabOrder( templateView, helpButton );
    setTabOrder( helpButton, buttonOk );
    setTabOrder( buttonOk, buttonCancel );

    // buddies
    Label1->setBuddy( templateView );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
NewFormBase::~NewFormBase()
{
    // no need to delete child widgets, Qt does it all for us
}

