/****************************************************************************
** Form implementation generated from reading ui file 'preferences.ui'
**
** Created: Wed Dec 20 19:07:20 2023
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "preferences.h"

#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qspinbox.h>
#include <qtoolbutton.h>
#include "styledbutton.h"
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a Preferences which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
Preferences::Preferences( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "Preferences" );
    resize( 467, 329 ); 
    setCaption( tr( "Preferences" ) );
    setSizeGripEnabled( TRUE );
    QWhatsThis::add(  this, tr( "<b>Preferences</b><p>Change the preferences of the designer application. The preferences will be saved when you exit the designer. They will be restored the next time the designer is started if <b>Restore last workspace</b> is selected.</p>" ) );
    PreferencesLayout = new QGridLayout( this ); 
    PreferencesLayout->setSpacing( 6 );
    PreferencesLayout->setMargin( 11 );

    Layout6 = new QHBoxLayout; 
    Layout6->setSpacing( 6 );
    Layout6->setMargin( 0 );

    helpButton = new QPushButton( this, "helpButton" );
    helpButton->setText( tr( "&Help" ) );
    helpButton->setAutoDefault( TRUE );
    Layout6->addWidget( helpButton );
    QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout6->addItem( spacer );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setText( tr( "&OK" ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    QWhatsThis::add(  buttonOk, tr( "Close dialog and apply all changes." ) );
    Layout6->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setText( tr( "&Cancel" ) );
    buttonCancel->setAutoDefault( TRUE );
    buttonCancel->setDefault( FALSE );
    QWhatsThis::add(  buttonCancel, tr( "Close dialog and discard all changes." ) );
    Layout6->addWidget( buttonCancel );

    PreferencesLayout->addMultiCellLayout( Layout6, 4, 4, 0, 1 );

    GroupBox5 = new QGroupBox( this, "GroupBox5" );
    GroupBox5->setTitle( tr( "Ge&neral" ) );
    GroupBox5->setColumnLayout(0, Qt::Vertical );
    GroupBox5->layout()->setSpacing( 0 );
    GroupBox5->layout()->setMargin( 0 );
    GroupBox5Layout = new QVBoxLayout( GroupBox5->layout() );
    GroupBox5Layout->setAlignment( Qt::AlignTop );
    GroupBox5Layout->setSpacing( 6 );
    GroupBox5Layout->setMargin( 11 );

    checkBoxWorkspace = new QCheckBox( GroupBox5, "checkBoxWorkspace" );
    checkBoxWorkspace->setText( tr( "&Restore last workspace on startup" ) );
    checkBoxWorkspace->setChecked( TRUE );
    QToolTip::add(  checkBoxWorkspace, tr( "Restore last workspace" ) );
    QWhatsThis::add(  checkBoxWorkspace, tr( "The current workspace settings will be restored next time you start the designer if this option is checked." ) );
    GroupBox5Layout->addWidget( checkBoxWorkspace );

    checkBoxSplash = new QCheckBox( GroupBox5, "checkBoxSplash" );
    checkBoxSplash->setText( tr( "Show &Splash Screen on startup" ) );
    checkBoxSplash->setChecked( TRUE );
    QToolTip::add(  checkBoxSplash, tr( "Show Splashscreen" ) );
    QWhatsThis::add(  checkBoxSplash, tr( "A splashscreen is displayed when starting the designer if this option is checked." ) );
    GroupBox5Layout->addWidget( checkBoxSplash );

    Label3 = new QLabel( GroupBox5, "Label3" );
    Label3->setText( tr( "&Documentation Path:" ) );
    GroupBox5Layout->addWidget( Label3 );

    Layout6_2 = new QHBoxLayout; 
    Layout6_2->setSpacing( 6 );
    Layout6_2->setMargin( 0 );

    editDocPath = new QLineEdit( GroupBox5, "editDocPath" );
    QWhatsThis::add(  editDocPath, tr( "<b>Enter the path to the documentation.</b><p>You may provide an $environment variable as first part of your pathname.</p>" ) );
    Layout6_2->addWidget( editDocPath );

    buttonDocPath = new QToolButton( GroupBox5, "buttonDocPath" );
    buttonDocPath->setText( tr( "..." ) );
    buttonDocPath->setFocusPolicy( QToolButton::TabFocus );
    QToolTip::add(  buttonDocPath, tr( "Select path" ) );
    QWhatsThis::add(  buttonDocPath, tr( "Look for the documentation path." ) );
    Layout6_2->addWidget( buttonDocPath );
    GroupBox5Layout->addLayout( Layout6_2 );

    PreferencesLayout->addWidget( GroupBox5, 2, 0 );

    GroupBox3 = new QGroupBox( this, "GroupBox3" );
    GroupBox3->setTitle( tr( "&Toolbars" ) );
    GroupBox3->setColumnLayout(0, Qt::Vertical );
    GroupBox3->layout()->setSpacing( 0 );
    GroupBox3->layout()->setMargin( 0 );
    GroupBox3Layout = new QVBoxLayout( GroupBox3->layout() );
    GroupBox3Layout->setAlignment( Qt::AlignTop );
    GroupBox3Layout->setSpacing( 6 );
    GroupBox3Layout->setMargin( 11 );

    checkBoxBigIcons = new QCheckBox( GroupBox3, "checkBoxBigIcons" );
    checkBoxBigIcons->setText( tr( "Show &Big Icons" ) );
    QToolTip::add(  checkBoxBigIcons, tr( "Big Icons" ) );
    QWhatsThis::add(  checkBoxBigIcons, tr( "Uses big icons in the toolbars when checked." ) );
    GroupBox3Layout->addWidget( checkBoxBigIcons );

    checkBoxTextLabels = new QCheckBox( GroupBox3, "checkBoxTextLabels" );
    checkBoxTextLabels->setText( tr( "Show Text Lab&els" ) );
    QToolTip::add(  checkBoxTextLabels, tr( "Text Labels" ) );
    QWhatsThis::add(  checkBoxTextLabels, tr( "Shows textlabels in the toolbars when checked." ) );
    GroupBox3Layout->addWidget( checkBoxTextLabels );

    PreferencesLayout->addWidget( GroupBox3, 2, 1 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setTitle( tr( "Backgro&und" ) );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 0 );
    ButtonGroup1->layout()->setMargin( 0 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );
    ButtonGroup1Layout->setSpacing( 6 );
    ButtonGroup1Layout->setMargin( 11 );

    buttonColor = new StyledButton( ButtonGroup1, "buttonColor" );
    buttonColor->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, buttonColor->sizePolicy().hasHeightForWidth() ) );
    buttonColor->setEnabled( FALSE );
    buttonColor->setFocusPolicy( StyledButton::TabFocus );
    buttonColor->setProperty( "scale", QVariant( FALSE, 0 ) );
    QToolTip::add(  buttonColor, tr( "Choose a color" ) );
    QWhatsThis::add(  buttonColor, tr( "Select a color in the colordialog." ) );

    ButtonGroup1Layout->addWidget( buttonColor, 0, 1 );

    radioColor = new QRadioButton( ButtonGroup1, "radioColor" );
    radioColor->setText( tr( "Co&lor" ) );
    radioColor->setFocusPolicy( QRadioButton::NoFocus );
    QToolTip::add(  radioColor, tr( "Use a background color" ) );
    QWhatsThis::add(  radioColor, tr( "Use a background color." ) );

    ButtonGroup1Layout->addWidget( radioColor, 0, 0 );

    radioPixmap = new QRadioButton( ButtonGroup1, "radioPixmap" );
    radioPixmap->setText( tr( "&Pixmap" ) );
    radioPixmap->setChecked( TRUE );
    QToolTip::add(  radioPixmap, tr( "Use a background pixmap" ) );
    QWhatsThis::add(  radioPixmap, tr( "Use a background pixmap." ) );

    ButtonGroup1Layout->addWidget( radioPixmap, 1, 0 );

    buttonPixmap = new StyledButton( ButtonGroup1, "buttonPixmap" );
    buttonPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, buttonPixmap->sizePolicy().hasHeightForWidth() ) );
    buttonPixmap->setFocusPolicy( StyledButton::TabFocus );
    buttonPixmap->setProperty( "scale", QVariant( FALSE, 0 ) );
    QToolTip::add(  buttonPixmap, tr( "Select a pixmap" ) );
    QWhatsThis::add(  buttonPixmap, tr( "Choose a pixmap-file." ) );

    ButtonGroup1Layout->addWidget( buttonPixmap, 1, 1 );

    PreferencesLayout->addMultiCellWidget( ButtonGroup1, 0, 1, 0, 0 );

    checkBoxShowGrid = new QCheckBox( this, "checkBoxShowGrid" );
    checkBoxShowGrid->setText( tr( "Show &Grid" ) );
    checkBoxShowGrid->setChecked( TRUE );
    QToolTip::add(  checkBoxShowGrid, tr( "Show Grid" ) );
    QWhatsThis::add(  checkBoxShowGrid, tr( "<b>Customize the grid appearance for all forms.</b><p>When <b>Show Grid</b> is checked, all forms show a grid.</p>" ) );

    PreferencesLayout->addWidget( checkBoxShowGrid, 0, 1 );

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setTitle( tr( "Gr&id" ) );
    QWhatsThis::add(  GroupBox1, tr( "" ) );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 0 );
    GroupBox1->layout()->setMargin( 0 );
    GroupBox1Layout = new QVBoxLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );
    GroupBox1Layout->setSpacing( 6 );
    GroupBox1Layout->setMargin( 11 );

    checkBoxGrid = new QCheckBox( GroupBox1, "checkBoxGrid" );
    checkBoxGrid->setText( tr( "Sn&ap to Grid" ) );
    checkBoxGrid->setChecked( TRUE );
    QToolTip::add(  checkBoxGrid, tr( "Snap to the grid" ) );
    QWhatsThis::add(  checkBoxGrid, tr( "<b>Customize the grid-settings for all forms.</b><p>When <b>Snap to Grid</b> is checked, the widgets snap to the grid using the the X/Y resolution.</p>" ) );
    GroupBox1Layout->addWidget( checkBoxGrid );

    Layout4 = new QGridLayout; 
    Layout4->setSpacing( 6 );
    Layout4->setMargin( 0 );

    spinGridX = new QSpinBox( GroupBox1, "spinGridX" );
    spinGridX->setMinValue( 5 );
    spinGridX->setMaxValue( 50 );
    spinGridX->setValue( 10 );
    QToolTip::add(  spinGridX, tr( "Grid resolution" ) );
    QWhatsThis::add(  spinGridX, tr( "<b>Customize the grid-settings for all forms.</b><p>When <b>Show Grid</b> is checked, a grid is shown on all forms using the X/Y resolution.</p>" ) );

    Layout4->addWidget( spinGridX, 0, 1 );

    spinGridY = new QSpinBox( GroupBox1, "spinGridY" );
    spinGridY->setMinValue( 5 );
    spinGridY->setMaxValue( 50 );
    spinGridY->setValue( 10 );
    QToolTip::add(  spinGridY, tr( "Grid resolution" ) );
    QWhatsThis::add(  spinGridY, tr( "<b>Customize the grid-settings for all forms.</b><p>When <b>Show Grid</b> is checked, a grid is shown on all forms using the X/Y resolution.</p>" ) );

    Layout4->addWidget( spinGridY, 1, 1 );

    Label1 = new QLabel( GroupBox1, "Label1" );
    Label1->setText( tr( "Grid-&X:" ) );

    Layout4->addWidget( Label1, 0, 0 );

    Label1_2 = new QLabel( GroupBox1, "Label1_2" );
    Label1_2->setText( tr( "Grid-&Y:" ) );

    Layout4->addWidget( Label1_2, 1, 0 );
    GroupBox1Layout->addLayout( Layout4 );

    PreferencesLayout->addWidget( GroupBox1, 1, 1 );
    QSpacerItem* spacer_2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    PreferencesLayout->addItem( spacer_2, 3, 0 );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( checkBoxGrid, SIGNAL( toggled(bool) ), spinGridX, SLOT( setEnabled(bool) ) );
    connect( checkBoxGrid, SIGNAL( toggled(bool) ), spinGridY, SLOT( setEnabled(bool) ) );
    connect( radioColor, SIGNAL( toggled(bool) ), buttonColor, SLOT( setEnabled(bool) ) );
    connect( radioPixmap, SIGNAL( toggled(bool) ), buttonPixmap, SLOT( setEnabled(bool) ) );
    connect( checkBoxShowGrid, SIGNAL( toggled(bool) ), GroupBox1, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( radioColor, buttonColor );
    setTabOrder( buttonColor, radioPixmap );
    setTabOrder( radioPixmap, buttonPixmap );
    setTabOrder( buttonPixmap, checkBoxWorkspace );
    setTabOrder( checkBoxWorkspace, checkBoxSplash );
    setTabOrder( checkBoxSplash, editDocPath );
    setTabOrder( editDocPath, buttonDocPath );
    setTabOrder( buttonDocPath, checkBoxGrid );
    setTabOrder( checkBoxGrid, spinGridX );
    setTabOrder( spinGridX, spinGridY );
    setTabOrder( spinGridY, checkBoxBigIcons );
    setTabOrder( checkBoxBigIcons, checkBoxTextLabels );
    setTabOrder( checkBoxTextLabels, helpButton );
    setTabOrder( helpButton, buttonOk );
    setTabOrder( buttonOk, buttonCancel );

    // buddies
    Label3->setBuddy( editDocPath );
    Label1->setBuddy( spinGridX );
    Label1_2->setBuddy( spinGridY );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
Preferences::~Preferences()
{
    // no need to delete child widgets, Qt does it all for us
}

